Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class FlushingStreamWriter

    java.lang.Object
      java.io.Writer
          java.io.OutputStreamWriter
              org.codehaus.groovy.runtime.FlushingStreamWriter

    public class FlushingStreamWriter
    extends OutputStreamWriter

Stream writer which flushes after each write operation.

Authors:
  Guillaume Laforge

Constructor Summary
`FlushingStreamWriter(OutputStream out)`

Method Summary
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(String str, int off, int len)`

Methods inherited from class OutputStreamWriter
write, write, write, flush, close, getEncoding, append, append, append, append, append, append, write, write, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Writer
append, append, append, append, append, append, write, write, write, write, write, flush, close, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### FlushingStreamWriter

    public FlushingStreamWriter(OutputStream out)

Method Detail

### write

    public void write(char[] cbuf, int off, int len)

### write

    public void write(int c)

### write

    public void write(String str, int off, int len)

Copyright © 2003-2010 The Codehaus. All rights reserved.